<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\KursVorschlag\KursVorschlag;

class KursVorschlagAbsendenUseCase extends \Kufer\Web\KuferTools\Basis\KursPlanung\KursVorschlag\KursVorschlagAbsendenUseCase
{
  public static function getToolSectionId()
  {
    return 616;
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSVORSCHLAG_VA;
  }

  protected function getBenutzerKuerzel()
  {
    return 'D';
  }

  protected function getDnr4Planung($pKnr)
  {
    return 0;
  }

  protected function isKursKopieAllowed()
  {
    return $this->isRechtAllowed('616.0.1');
  }

  protected function getEMail4Einrichtung()
  {
    return $this->toolSettings->vhsEmailTool52Section616;
  }

  protected function hideBackButton()
  {
    return true;
  }

  protected function getVeranstalterNr()
  {
    return \Kufer\Web\KuferTools\Veranstalter\Utils\VeranstalterUtils::getVeranstalterDnr();
  }

  public function sollLeiterHinzugefuegtWerden(): bool
  {
    return \DBWorkBASysSettings::isSalzburgBildungswerk() && $this->isKursplanungVollstaendigUebermittelt();
  }
}